/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: cmi@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: JORAMServerException.java 2332 2009-05-26 10:34:29Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.controller.server.impl.jms;

/**
 * Exception thrown when administrating a JORAM server.
 * @author Loris Bouzonnet
 */
public class JORAMServerException extends Exception {

    /**
     *
     */
    private static final long serialVersionUID = -2783916686010476792L;

    /**
     *
     */
    public JORAMServerException() {
    }

    /**
     * @param message
     */
    public JORAMServerException(final String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public JORAMServerException(final Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public JORAMServerException(final String message, final Throwable cause) {
        super(message, cause);
    }

}
