/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: cmi@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: JmsProvider.java 2438 2010-02-24 16:20:30Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.controller.server.impl.jms;

import java.rmi.RemoteException;

import javax.rmi.PortableRemoteObject;

import org.ow2.cmi.controller.provider.ServerClusterViewProvider;
import org.ow2.cmi.controller.server.ClusterView;

/**
 * @author Loris Bouzonnet
 */
public class JmsProvider extends PortableRemoteObject implements ServerClusterViewProvider {

    private final JMSClusterViewManager clusterViewManager;

    public JmsProvider(final JMSClusterViewManager clusterViewManager) throws RemoteException {
        this.clusterViewManager = clusterViewManager;
    }

    public ClusterView getClusterView() throws RemoteException {
        return clusterViewManager.getClusterView();
    }

}
